
use strict;
use warnings;

use Module::Build 0.3601;


my %module_build_args = (
  'build_requires' => {
    'ExtUtils::MakeMaker' => '6.30',
    'FindBin' => '0',
    'Module::Build' => '0.3601',
    'Test::Exception' => '0',
    'Test::File' => '0',
    'Test::More' => '0',
    'Test::Warn' => '0'
  },
  'configure_requires' => {
    'Module::Build' => '0.3601'
  },
  'dist_abstract' => 'Perl distribution repository manager',
  'dist_author' => [
    'Jeffrey Ryan Thalhammer <jeff@imaginative-software.com>'
  ],
  'dist_name' => 'Pinto',
  'dist_version' => '0.010',
  'license' => 'perl',
  'module_name' => 'Pinto',
  'recommends' => {},
  'recursive_test_files' => 1,
  'requires' => {
    'App::Cmd::Setup' => '0',
    'CGI::Application' => '0',
    'CGI::Application::Dispatch' => '0',
    'CGI::Application::Dispatch::Server' => '0',
    'CGI::Application::Plugin::AutoRunmode' => '0',
    'CPAN::DistnameInfo' => '0',
    'Carp' => '0',
    'Class::Load' => '0',
    'Date::Format' => '0',
    'Dist::Metadata' => '0',
    'English' => '0',
    'File::Copy' => '0',
    'File::Find' => '0',
    'File::HomeDir' => '0',
    'File::Temp' => '0',
    'IPC::Cmd' => '0.72',
    'LWP::UserAgent' => '0',
    'List::MoreUtils' => '0',
    'Moose' => '0',
    'Moose::Autobox' => '0',
    'Moose::Role' => '0',
    'MooseX::Configuration' => '0',
    'MooseX::LazyRequire' => '0',
    'MooseX::Types' => '0',
    'MooseX::Types::Moose' => '0',
    'Path::Class' => '0',
    'Path::Class::Dir' => '0',
    'Path::Class::File' => '0',
    'PerlIO::gzip' => '0',
    'Readonly' => '0',
    'Try::Tiny' => '0',
    'URI' => '0',
    'autodie' => '0',
    'namespace::autoclean' => '0',
    'overload' => '0',
    'perl' => '5.006'
  },
  'script_files' => [
    'bin/pinto-admin',
    'bin/pinto-client',
    'bin/pinto-server'
  ]
);


my $build = Module::Build->new(%module_build_args);

$build->create_build_script;
